<?php

include("../../configuracao.php");//confirma no banco de dados
include("../../inclusos/funcoes.php");
include("../../seguranca.php"); // Inclui o arquivo com o sistema de seguran?a

$idvenda = $_GET['idvenda'];

//$page_id = $_POST["page_id_array"];
for($i=0; $i<count($_POST["page_id_array"]); $i++)
{
//echo  $_POST["page_id_array"][$i] . "<br>";   

$SelecionaCategoriaGeral = Seleciona("servicos_categorias", "WHERE idservicocategoria = '".$_POST["page_id_array"][$i]."'", "LIMIT 0,1");    
while($Categoria = mysql_fetch_array($SelecionaCategoriaGeral)){         
		 $TituloCategoria = $Categoria['titulo'];
		 $TipoCategoria = $Categoria['tipo_custo']; 
}
//echo $TituloCategoria. ",";
   
$query = "
 UPDATE vendas_categorias 
 SET ordem='".$i."', titulo='$TituloCategoria', tipo_custo='$TipoCategoria'  
 WHERE idservicocategoria = '".$_POST["page_id_array"][$i]."' AND idvenda='$idvenda'";
 mysql_query($query, $conexao);

$TituloCategoria = "";
$TipoCategoria = "";    
}
//echo 'Ordem de Categorias Atualizada com Sucesso:' . $i . " - " . $idvenda; 
?>